<?php
/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲网CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 盘锦舞曲: http://www.pj57.com
' 官方网站: http://www.pjren.net
' 小说网站: http://www.hx39.com
' 0427DJ网: http://www.0427dj.net
' 官方论坛: http://www.tianjiazhen.com
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
include "../../include/label.php";
set_time_limit(0);
if(!eregi($_SERVER['SERVER_NAME'],$_SERVER['HTTP_REFERER'])){exit();}
$S_ID=SafeRequest("id","get");
if(!IsNul($S_ID)){echo "参数错误！";}
$Arr=explode('_',$S_ID);
echo '<list>
';
global $db;
$server=S_SiteDomain;
for($i=0;$i<count($Arr);$i++){
$sql="Select S_ID,S_Name,S_Vdata,S_Addpath,S_hits,S_Source,S_ClassID from s_video where S_ID=".$Arr[$i]."";
$row=$db->getrow($sql);
$server=$db->getrow("select * from s_pathip where S_ID=".$row['S_Addpath']."");
$S_Url=$row['S_Vdata'];
$S_Name=$row['S_Name'];
$S_Urla=substr($S_Url,0,18);
$S_Urlb=substr($S_Url,-3);
$S_Urlc=substr($S_Url,0,3);
if($S_Urla=="http://www.rayfile"){
$S_Url=getrayfile($S_Url,$row['S_Name']);
}
if($S_Urlc=="wk_"){
$kimi=explode("_",$S_Url);
$S_Url=getvdisk(trim($kimi[1]));
}
if($server['S_AddPath']!=""){
$server=$server['S_AddPath'];
}
if($row['S_Source']=="tudou"){
echo '
<m type="2" src="http://www.520tingshu.com/ting/get.php?id='.$S_Url.'" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">
</m>';
}
elseif($row['S_Source']=="yinyt"){
echo '
<m type="2" src="http://dj.chshcms.com/down/yyt.php?'.$S_Url.'.flv" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">
</m>';
}
elseif($row['S_Source']=="youku"){
echo '
<m type="youku" streamtype="flv" password=""  src="'.$S_Url.'" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">
</m>';
}
elseif($S_Urlb=="mp4"){
echo '
<m type="" src="'.$server.''.$S_Url.'" lrc="" label="'.$S_Name.'" opened="1">
</m>';
}
else
{
echo '
<m type="3" src="'.$server.''.$S_Url.'" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">
</m>';
}
}
echo '
</list>';
?>